# Uses of Class
org.springframework.core.ReactiveTypeDescriptor

Packages that use ReactiveTypeDescriptor
Package
Description
org.springframework.core
Provides basic classes for exception handling and version detection, and other core helpers that are not specific to any part of the framework.

## Uses of ReactiveTypeDescriptor in org.springframework.core

Methods in org.springframework.core that return ReactiveTypeDescriptor
Modifier and Type
Method
Description
`ReactiveTypeDescriptor`
ReactiveAdapter.`getDescriptor()`
Return the descriptor of the reactive type for the adapter.
`static ReactiveTypeDescriptor`
ReactiveTypeDescriptor.`multiValue(Class<?> type, Supplier<?> emptySupplier)`
Descriptor for a reactive type that can produce `0..N` values.
`static ReactiveTypeDescriptor`
ReactiveTypeDescriptor.`nonDeferredAsyncValue(Class<?> type, Supplier<?> emptySupplier)`
The same as `singleOptionalValue(Class, Supplier)` but for a non-deferred, async type such as `CompletableFuture`.
`static ReactiveTypeDescriptor`
ReactiveTypeDescriptor.`noValue(Class<?> type, Supplier<?> emptySupplier)`
Descriptor for a reactive type that does not produce any values.
`static ReactiveTypeDescriptor`
ReactiveTypeDescriptor.`singleOptionalValue(Class<?> type, Supplier<?> emptySupplier)`
Descriptor for a reactive type that can produce 0..1 values.
`static ReactiveTypeDescriptor`
ReactiveTypeDescriptor.`singleRequiredValue(Class<?> type)`
Descriptor for a reactive type that must produce 1 value to complete.
Methods in org.springframework.core with parameters of type ReactiveTypeDescriptor
Modifier and Type
Method
Description
`void`
ReactiveAdapterRegistry.`registerReactiveType(ReactiveTypeDescriptor descriptor, Function<Object,Publisher<?>> toAdapter, Function<Publisher<?>,Object> fromAdapter)`
Register a reactive type along with functions to adapt to and from a Reactive Streams `Publisher`.
`void`
ReactiveAdapterRegistry.`registerReactiveTypeOverride(ReactiveTypeDescriptor descriptor, Function<Object,Publisher<?>> toAdapter, Function<Publisher<?>,Object> fromAdapter)`
Register a reactive type along with functions to adapt to and from a Reactive Streams `Publisher`.
Constructors in org.springframework.core with parameters of type ReactiveTypeDescriptor
Modifier
Constructor
Description
``
`ReactiveAdapter(ReactiveTypeDescriptor descriptor, Function<Object,Publisher<?>> toPublisherFunction, Function<Publisher<?>,Object> fromPublisherFunction)`
Constructor for an adapter with functions to convert the target reactive or async type to and from a Reactive Streams Publisher.